<template>
  <v-layout>
    <div
      class="d-flex h-100 w-100 pt-3 pb-3 justify-content-center align-items-center"
    >
      <div class="card-main d-flex flex-column w-95 w-sm-75">
        <div
          class="d-flex ml-3 mr-3 p-3 align-items-center justify-content-start border-bottom mb-3"
        >
          <plusIcon class="icon-small-squad icon--brown" />
          <span class="text--gray font-large font-bold ml-3">Categorias</span>
        </div>
        <div
          class="d-flex flex-column h-max-300 scrollable ml-3 mr-3 mb-3 p-3 border"
          ref="scrollable"
          v-if="categories.length"
        >
          <div
            class="d-flex flex-column font-small border"
            v-for="(category, index) of categories"
            :key="category.id"
            style="position:realtive"
            v-bind:class="{ 'mb-3': index < categories.length - 1 }"
          >
            <CardCategories :category="category" />
          </div>
        </div>
        <div class="d-flex ml-3 mr-2 mb-3 h-max-300 scrollable" v-else>
          <div class="d-flex w-100 pt-3 pb-3 border">
            <div
              class="d-flex align-items-center justify-content-center col-12 font-small"
            >
              <plusIcon class="icon-x-small-squad icon--brown mb-1" />
              <label class="text--gray text-small m-0 ml-2"
                >Nenhum resultado encontrado</label
              >
            </div>
          </div>
        </div>
        <router-link
          :to="{ name: 'categories-registry' }"
          class="d-flex ml-3 mr-2 mb-3 h-max-300"
        >
          <div class="d-flex w-100 pt-3 pb-3 border">
            <div
              class="d-flex align-items-center justify-content-center col-12 font-small"
            >
              <plusIcon class="icon-x-small-squad icon--brown mb-1" />
              <label class="text--gray text-small m-0 ml-2"
                >Adicionar categoria</label
              >
            </div>
          </div>
        </router-link>
      </div>
    </div>
  </v-layout>
</template>
<script>
/*  ======================
 *   Lista de Avaliações
 *  ======================
 */
import VLayout from "@/layouts/Default";
import plusIcon from "@/static/icon/plus.svg";
import categories from "@/mocks/categorias";
import CardCategories from "@/components/CardCategories";

export default {
  name: "login",
  data() {
    return {
      categories: []
    };
  },
  updated() {
    const self = this;
    self.$refs.scrollable.scrollTop += self.$refs.scrollable.scrollHeight;
  },
  beforeMount() {
    const self = this;
    self.categories = categories;
    console.warn(self.categories);
  },
  mounted() {
    const self = this;
    console.warn(self.$route.params.alert);
    if (self.$route.params.alert) {
      self.$notify(self.$route.params.alert);
    }
  },
  components: {
    VLayout,
    plusIcon,
    CardCategories
  }
};
</script>
